[FFmpeg-devel] [PATCH] restoring binary compatibility with ffmpeg 0.5

Diego Biurrun diego
Wed Jun 16 14:58:05 CEST 2010

On Tue, Jun 15, 2010 at 07:26:17PM +0200, Michael Niedermayer wrote:
> On Tue, Jun 15, 2010 at 03:15:56PM +0200, Diego Biurrun wrote:
> > We want to switch over to new APIs every once in a while.
> do we?

I suppose that the '#if VERSION' was put in place with the place to
bump the version at some point, otherwise it would be pointless.

So why not right now after the release?  I don't see a better moment.

> >  After all the
> > point of putting them under version ifdefs is to enable them eventually.
> new APIs are enabled in general old are under #if
> besides if we do bump ABI i think --disable-avfilter should be droped too
> at that time with the old cruft, the broken -crop* options and whatever else
> is connected to it only

Just put whatever you want to see removed with the next bump under
'#if VERSION'...


More information about the ffmpeg-devel mailing list